summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-01-10 22:32:08 +0000
committer Eric Hameleers <alien@slackware.com>2019-01-11 12:24:38 +0100
commit9bf4df6951d0e5c9d2f7a691fcc18d053cca1c1b (patch)
treef31100bf2b883887ea03b206141a69ff3e5c1a17 /source
parent01b2250a14e3a3bd513ce6f57bc995d19efe26e1 (diff)
downloadcurrent-9bf4df6951d0e5c9d2f7a691fcc18d053cca1c1b.tar.gz
current-9bf4df6951d0e5c9d2f7a691fcc18d053cca1c1b.tar.xz
Thu Jan 10 22:32:08 UTC 201920190110223208
ap/qpdf-8.3.0-x86_64-1.txz: Upgraded. l/argon2-20171227-x86_64-1.txz: Added. This is a new dependency for the PHP package. n/libmbim-1.18.0-x86_64-1.txz: Upgraded. n/libqmi-1.22.0-x86_64-1.txz: Upgraded. n/php-7.2.14-x86_64-1.txz: Upgraded. Use --with-password-argon2. PHP now requires the new argon2 package.
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/argon2/argon2.SlackBuild130
-rw-r--r--source/l/argon2/slack-desc19
-rwxr-xr-xsource/n/php/fetch-php.sh4
-rwxr-xr-xsource/n/php/php.SlackBuild1
4 files changed, 152 insertions, 2 deletions
diff --git a/source/l/argon2/argon2.SlackBuild b/source/l/argon2/argon2.SlackBuild
new file mode 100755
index 000000000..d84f58abd
--- /dev/null
+++ b/source/l/argon2/argon2.SlackBuild
@@ -0,0 +1,130 @@
+#!/bin/bash
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=argon2
+VERSION=${VERSION:-$(echo *.tar.?z | cut -f 1 -d .)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+# No parallel build.
+#NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686 -msse3"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -msse3"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf phc-winner-argon2-$VERSION
+tar xvf $CWD/$VERSION.tar.?z || exit 1
+cd phc-winner-argon2-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix build options and library path:
+sed -i "s/CFLAGS += -std=c89 -O3 -Wall -g -Iinclude -Isrc/CFLAGS += -std=c89 -Iinclude -Isrc/g" Makefile
+sed -i "s/LIBRARY_REL = lib/LIBRARY_REL = lib${LIBDIRSUFFIX}/g" Makefile
+sed -i "s/CFLAGS += -march=\$(OPTTARGET)/CFLAGS += ${SLKCFLAGS}/g" Makefile
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Ditch static library:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libargon2.a
+
+# Install man page:
+mkdir -p $PKG/usr/man/man1
+cp -a man/argon2.1 $PKG/usr/man/man1
+chown root:root $PKG/usr/man/man1/argon2.1
+chmod 644 $PKG/usr/man/man1/argon2.1
+
+# Install pkgconfig file:
+mkdir $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+grep -v "^##" libargon2.pc | sed "s|/@HOST_MULTIARCH@|${LIBDIRSUFFIX}|g" | sed "s|@UPSTREAM_VER@|$VERSION|g" > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/libargon2.pc
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ CHANGELOG* LICENSE* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/argon2/slack-desc b/source/l/argon2/slack-desc
new file mode 100644
index 000000000..ea7bf2ae2
--- /dev/null
+++ b/source/l/argon2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+argon2: argon2 (Argon2 password-hashing function)
+argon2:
+argon2: This is the reference C implementation of Argon2, the password-hashing
+argon2: function that won the Password Hashing Competition
+argon2: (see https://password-hashing.net).
+argon2:
+argon2: Argon2 is a password-hashing function that summarizes the state of the
+argon2: art in the design of memory-hard functions and can be used for
+argon2: credential storage, key derivation, or other applications.
+argon2:
+argon2: Homepage: https://github.com/P-H-C/phc-winner-argon2
diff --git a/source/n/php/fetch-php.sh b/source/n/php/fetch-php.sh
index f2df19410..27ad5a9c9 100755
--- a/source/n/php/fetch-php.sh
+++ b/source/n/php/fetch-php.sh
@@ -1,2 +1,2 @@
-lftpget http://us.php.net/distributions/php-7.2.13.tar.xz.asc
-lftpget http://us.php.net/distributions/php-7.2.13.tar.xz
+lftpget http://us.php.net/distributions/php-7.2.14.tar.xz.asc
+lftpget http://us.php.net/distributions/php-7.2.14.tar.xz
diff --git a/source/n/php/php.SlackBuild b/source/n/php/php.SlackBuild
index 2e142fd8f..62e3de5c7 100755
--- a/source/n/php/php.SlackBuild
+++ b/source/n/php/php.SlackBuild
@@ -241,6 +241,7 @@ CXXFLAGS="$SLKCFLAGS -DU_USING_ICU_NAMESPACE=1" \
--with-pic \
--enable-phpdbg \
--with-sodium \
+ --with-password-argon2 \
--without-readline \
--with-libedit \
--build=$ARCH-slackware-linux || exit 1